org.apache.sling.bgservlets.impl.servlets

## Class JobStateChangeServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - org.apache.sling.api.servlets.SlingSafeMethodsServlet
    - - org.apache.sling.api.servlets.SlingAllMethodsServlet
      - - org.apache.sling.bgservlets.impl.servlets.JobStateChangeServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    @Service
    @Properties(value={@Property(name="sling.servlet.resourceTypes",value="sling/bg/job"),@Property(name="sling.servlet.methods",value="POST")})
    public class JobStateChangeServlet
    extends org.apache.sling.api.servlets.SlingAllMethodsServlet

Handles POST to a job node, to request a job state change.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `PARAM_STATE`

### Constructor Summary

Constructors
Constructor and Description
`JobStateChangeServlet()`

### Method Summary

Methods
`protected void` `doPost(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`

### Methods inherited from class org.apache.sling.api.servlets.SlingAllMethodsServlet

`doDelete, doPut, getAllowedRequestMethods, isMethodValid, mayService`

### Methods inherited from class org.apache.sling.api.servlets.SlingSafeMethodsServlet

`doGeneric, doGet, doHead, doOptions, doTrace, getServletInfo, handleMethodNotImplemented, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_STATE

    public static final String PARAM_STATE

See Also:
  Constant Field Values

### Constructor Detail

#### JobStateChangeServlet

    public JobStateChangeServlet()

### Method Detail

#### doPost

    protected void doPost(org.apache.sling.api.SlingHttpServletRequest request,
              org.apache.sling.api.SlingHttpServletResponse response)
                   throws javax.servlet.ServletException,
                          IOException

Overrides:
  `doPost` in class `org.apache.sling.api.servlets.SlingAllMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`